Bug 1325343 - Moodle 3.0.3 - Blank page afetr firt settings
Summary: Moodle 3.0.3 - Blank page afetr firt settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: moodle
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-08 13:29 UTC by Aldo Necci
Modified: 2016-09-30 22:50 UTC (History)
2 users (show)

Fixed In Version: moodle-3.1.2-1.fc25 moodle-3.1.2-1.el7
Doc Type: Known Issue
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-20 17:05:25 UTC
Type: Bug


Attachments (Terms of Use)
Patch to fix library paths for CAS, Google API and simplepie (5.42 KB, patch)
2016-09-08 16:55 UTC, Jonathan Dieter
no flags Details | Diff

Description Aldo Necci 2016-04-08 13:29:04 UTC
Description of problem:
After istallation of Moodle, it starts the first settings via browser.
At the end of last screen it appears a blank page and the default URL
to access moodle is a blank page.

Version-Release number of selected component (if applicable):
moodle 3.0.3-1.el7.noarch

Comment 1 Aldo Necci 2016-06-04 12:38:04 UTC
This issue is still on moodle 3.0.4 on EPEL 7

Comment 2 Gwyn Ciesla 2016-06-14 15:56:36 UTC

*** This bug has been marked as a duplicate of bug 1198982 ***

Comment 3 Aldo Necci 2016-06-15 07:57:10 UTC
This bug is different from bug 1198982
This issue is only present in moodle 3.0.x

Comment 4 Fedora Update System 2016-06-24 17:46:09 UTC
moodle-3.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-53c498688f

Comment 5 Fedora Update System 2016-06-26 00:21:15 UTC
moodle-3.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-53c498688f

Comment 6 Aldo Necci 2016-06-26 11:13:14 UTC
Now the "blank page" appears during first settings, before the page to set the admin's password.

Comment 7 Fedora Update System 2016-07-13 15:09:13 UTC
moodle-3.1.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8e0dd046d8

Comment 8 Fedora Update System 2016-07-15 07:47:19 UTC
moodle-3.1.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8e0dd046d8

Comment 9 Aldo Necci 2016-07-18 12:11:29 UTC
The issue "blank page appears during first settings" is still on moodle-3.1.1-1.el7

Comment 10 Jonathan Dieter 2016-09-08 16:55:57 UTC
Created attachment 1199172 [details]
Patch to fix library paths for CAS, Google API and simplepie

Here's a diff (against master, not el7) that fixes several problems with includes that may be part of the problem here.

CAS requires some moodle-specific files in /var/www/moodle/web/auth/cas, but /var/www/moodle/web/auth/cas/CAS can remain a symlink.

With the Google API, /var/www/moodle/web/lib/google shouldn't be the symlink, but rather /var/www/moodle/web/lib/google/src/Google.  The former path contains moodle-specific wrappers that are necessary.

And, finally, at least on Fedora 24, php-simplepie installs to /usr/share/php/php-simplepie, not /usr/share/php/simplepie.

I've also fixed the symlink->directory conversion scripts to follow the guidelines at https://fedoraproject.org/wiki/Packaging:Directory_Replacement.

I tested doing an upgrade from 3.0.4 in F24 to 3.1.1, and the transaction worked perfectly.

Comment 11 Gwyn Ciesla 2016-09-15 15:39:07 UTC
Brilliant, thank you!  I'll get this, and 3.1.2, out ASAP.

Comment 12 Fedora Update System 2016-09-15 16:20:07 UTC
moodle-3.1.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-54e154bcfb

Comment 13 Fedora Update System 2016-09-15 16:20:14 UTC
moodle-3.1.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-131009997f

Comment 14 Fedora Update System 2016-09-15 23:50:00 UTC
moodle-3.1.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-54e154bcfb

Comment 15 Fedora Update System 2016-09-16 01:23:54 UTC
moodle-3.1.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-131009997f

Comment 16 Fedora Update System 2016-09-20 17:05:21 UTC
moodle-3.1.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-09-30 22:50:08 UTC
moodle-3.1.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.